Create a promotion code

Requires the PROMOTION_CODE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
code_formatstringRequired
codestringRequired
coupon_idstringRequired
statusenum or nullOptional
Allowed values:
limited_toobjectOptional
start_atstring or nullOptional
end_atstring or nullOptional
maximum_redemptionsinteger or nullOptional

Response

Created
codestring
coupon_idstring
object_typestring or nullRead-only
idstring or nullRead-only
statusenum or null
Allowed values:
limited_toobject
start_atstring or null
end_atstring or null
maximum_redemptionsinteger or null
number_of_redemptionsinteger or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error